- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Cairo::Win32PrintingSurface Class Reference

A multi-page vector surface type for printing on Microsoft Windows. More...

Inheritance diagram for Cairo::Win32PrintingSurface:
[legend]

List of all members.

## Public Member Functions
| Win32PrintingSurface (cairo_surface_t*cobject, bool has_reference=false)
virtual | ~Win32PrintingSurface ()
## Static Public Member Functions
static RefPtr < Win32PrintingSurface > | create (HDC hdc)
| Creates a cairo surface that targets the given DC.

## Detailed Description

A multi-page vector surface type for printing on Microsoft Windows.

Note:
  For this Surface to be available, cairo must have been compiled with Win32 support

Since:
  1.8

## Constructor & Destructor Documentation

Cairo::Win32PrintingSurface::Win32PrintingSurface | ( | cairo_surface_t * | cobject,
|  | bool | has_reference = `false`
| ) |  | `[explicit]`

virtual Cairo::Win32PrintingSurface::~Win32PrintingSurface | ( |  | ) | `[virtual]`

## Member Function Documentation

static RefPtr<Win32PrintingSurface> Cairo::Win32PrintingSurface::create | ( | HDC | hdc | ) | `[static]`

Creates a cairo surface that targets the given DC.

The DC will be queried for its initial clip extents, and this will be used as the size of the cairo surface. The DC should be a printing DC; antialiasing will be ignored, and GDI will be used as much as possible to draw to the surface.

The returned surface will be wrapped using the paginated surface to provide correct complex rendering behaviour; show_page() and associated methods must be used for correct output.

Parameters:

  hdc | the DC to create a surface for.

Since:
  1.8

The documentation for this class was generated from the following file:

- cairomm/win32_surface.h